---
search:
  tags:
    - jobs
    - POST
seo:
  description: >-
    Starts a deployment of the job. Reference for the POST
    /project/{project_id}/environment/{environment_id}/job/{job_id}/deploy
    endpoint in the Platform API.
sidebar:
  label: Deploy a job
  badge: POST
title: Deploy a job
type: openapi-operation
---
Starts a deployment of the job.

`POST /project/{project_id}/environment/{environment_id}/job/{job_id}/deploy`

**Responses**

- `200` — Job deployment run created successfully
- `default` — Error

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
  "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",
  "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b",
  "component_kind": "Kjob",
  "component_name": "string",
  "component_sid": "string",
  "action": "deploy",
  "trigger": "manual",
  "status": "QUEUED",
  "pipeline_context": {
    "pipeline_id": "ec036e81-7903-4e4d-bbfa-ac8516341cf0",
    "pipeline_run_id": "54f73fac-6036-4081-9795-457321f22c71",
    "stage_run_id": "c6c7d692-4cdb-4e1f-9d55-db374c0d6d91",
    "pipeline_component_run_id": "63b3c0d9-c480-488a-860f-86e87cc881ec",
    "stage_component_id": "72d6951a-769e-47ac-a30e-c5b161d3f1fd",
    "required": true,
    "timeout_seconds": 0
  },
  "github_build": {
    "installation_id": "91166175-c6a9-4caf-88e9-3147ffc9c934",
    "repository_id": "string",
    "repository_full_name": "string",
    "branch": "string",
    "commit_sha": "string",
    "trigger": "manual",
    "image_reference": "string",
    "image_tag": "string",
    "index_digest": "string",
    "platforms": [
      "linux/amd64"
    ]
  },
  "workflow_id": "string",
  "workflow_run_id": "5e5ef678-2347-491b-a579-798b0d4ed952",
  "started_at": "2019-08-24T14:15:22Z",
  "finished_at": "2019-08-24T14:15:22Z",
  "message": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
```
